Rotate Service Key
POST /service-keys/{service_key_id}/rotateThe old hash is retired immediately; there is no overlap window for an API key.
Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
service_key_id | path | string (uuid) | required | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | ServiceKeyWithSecret |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X POST https://your-deployment.example.com/service-keys/{service_key_id}/rotate \ -H "Authorization: Bearer $COBRE_TOKEN"Response — ServiceKeyWithSecret
Section titled “Response — ServiceKeyWithSecret”| Field | Type | Notes | |
|---|---|---|---|
key | string | required | — |
service_key | ServiceKeyView | required | — |